Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 879800 - [abrt] mate-file-manager-1.5.1-1.fc18: g_list_foreach: Process /usr/bin/caja was killed by signal 6 (SIGABRT)
Summary: [abrt] mate-file-manager-1.5.1-1.fc18: g_list_foreach: Process /usr/bin/caja ...
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-file-manager
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Mashal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:7b36b00c1f6f1fe7b81441705f1...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-24 14:42 UTC by Andrei Bardin
Modified: 2012-12-01 22:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-01 21:30:21 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (46.18 KB, text/plain)
2012-11-24 14:42 UTC, Andrei Bardin
no flags Details
File: cgroup (126 bytes, text/plain)
2012-11-24 14:42 UTC, Andrei Bardin
no flags Details
File: core_backtrace (6.08 KB, text/plain)
2012-11-24 14:43 UTC, Andrei Bardin
no flags Details
File: dso_list (8.78 KB, text/plain)
2012-11-24 14:43 UTC, Andrei Bardin
no flags Details
File: environ (1.70 KB, text/plain)
2012-11-24 14:43 UTC, Andrei Bardin
no flags Details
File: limits (1.29 KB, text/plain)
2012-11-24 14:43 UTC, Andrei Bardin
no flags Details
File: maps (50.93 KB, text/plain)
2012-11-24 14:43 UTC, Andrei Bardin
no flags Details
File: open_fds (1.36 KB, text/plain)
2012-11-24 14:43 UTC, Andrei Bardin
no flags Details
File: proc_pid_status (935 bytes, text/plain)
2012-11-24 14:43 UTC, Andrei Bardin
no flags Details
File: smolt_data (3.33 KB, text/plain)
2012-11-24 14:43 UTC, Andrei Bardin
no flags Details
File: var_log_messages (5.51 KB, text/plain)
2012-11-24 14:43 UTC, Andrei Bardin
no flags Details
File: xsession_errors (3.12 KB, text/plain)
2012-11-24 14:43 UTC, Andrei Bardin
no flags Details

Description Andrei Bardin 2012-11-24 14:42:53 UTC
Description of problem:
1. Move some big DNG files (without generated thumbnail) to other directory

Version-Release number of selected component:
mate-file-manager-1.5.1-1.fc18

Additional info:
backtrace_rating: 4
cmdline:        caja
crash_function: g_list_foreach
executable:     /usr/bin/caja
kernel:         3.6.7-5.fc18.x86_64
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 g_list_foreach at glist.c:942
 #7 paste_clipboard_data at fm-directory-view.c:6123
 #8 paste_clipboard_received_callback at fm-directory-view.c:6141
 #9 selection_received at gtkclipboard.c:865
 #13 g_signal_emit_by_name at gsignal.c:3393
 #14 gtk_selection_retrieval_report at gtkselection.c:2950
 #15 gtk_selection_convert at gtkselection.c:1089
 #20 _gtk_action_emit_activate at gtkaction.c:795
 #21 closure_accel_activate at gtkaction.c:1766
 #26 gtk_accel_group_activate at gtkaccelgroup.c:891

Comment 1 Andrei Bardin 2012-11-24 14:42:56 UTC
Created attachment 650992 [details]
File: backtrace

Comment 2 Andrei Bardin 2012-11-24 14:42:58 UTC
Created attachment 650993 [details]
File: cgroup

Comment 3 Andrei Bardin 2012-11-24 14:43:00 UTC
Created attachment 650994 [details]
File: core_backtrace

Comment 4 Andrei Bardin 2012-11-24 14:43:02 UTC
Created attachment 650995 [details]
File: dso_list

Comment 5 Andrei Bardin 2012-11-24 14:43:04 UTC
Created attachment 650996 [details]
File: environ

Comment 6 Andrei Bardin 2012-11-24 14:43:06 UTC
Created attachment 650997 [details]
File: limits

Comment 7 Andrei Bardin 2012-11-24 14:43:08 UTC
Created attachment 650998 [details]
File: maps

Comment 8 Andrei Bardin 2012-11-24 14:43:10 UTC
Created attachment 650999 [details]
File: open_fds

Comment 9 Andrei Bardin 2012-11-24 14:43:12 UTC
Created attachment 651000 [details]
File: proc_pid_status

Comment 10 Andrei Bardin 2012-11-24 14:43:14 UTC
Created attachment 651001 [details]
File: smolt_data

Comment 11 Andrei Bardin 2012-11-24 14:43:16 UTC
Created attachment 651002 [details]
File: var_log_messages

Comment 12 Andrei Bardin 2012-11-24 14:43:18 UTC
Created attachment 651003 [details]
File: xsession_errors

Comment 13 Andrei Bardin 2012-11-25 14:35:50 UTC
1. move any file
2. crash

Comment 14 Darth Vader 2012-11-27 23:15:13 UTC
copy a folder to another place on disk in caja

backtrace_rating: 4
Package: mate-file-manager-1.5.1-1.fc18
OS Release: Fedora release 18 (Spherical Cow)

Comment 15 Dan Mashal 2012-12-01 21:30:21 UTC
Will be fixed in next upstream release hopefully.

Comment 16 Darth Vader 2012-12-01 22:13:58 UTC
'hopefully' is no solution!

Comment 17 Dan Mashal 2012-12-01 22:29:01 UTC
caja is being rewritten upstream.


Note You need to log in before you can comment on or make changes to this bug.